#
%define		pkgname	Pyro
Name:           python-Pyro
Version:        3.11
Release:        1.10
License:        GPL v2 or later
Summary:        Python Pyro module
Url:            http://www.xs4all.nl/~irmen/pyro3/download/
Group:          Development/Python
Source0:        http://www.xs4all.nl/~irmen/pyro3/download/%{pkgname}-%{version}.tar.bz2
Source1:	python-Pyro-rpmlintrc
BuildRequires:  python-setuptools
Requires:       python >= 2.4
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Pyro is short for PYthon Remote Objects. It is an advanced and powerful
Distributed Object Technology system written entirely in Python, that is
designed to be very easy to use. Never worry about writing network communication
code again, when using Pyro you just write your Python objects like you
would normally. With only a few lines of extra code, Pyro takes care of
the network communication between your objects once you split them over
different machines on the network. All the gory socket programming details
are taken care of, you just call a method on a remote object as if it were a local object! 

%prep
%setup -q -n %{pkgname}-%{version}

%build
%install
python setup.py install -O1 --quiet --root %{buildroot} --prefix %{_prefix}
chmod +x %{buildroot}%{py_sitedir}/Pyro/ext/daemonizer.py
chmod +x %{buildroot}%{py_sitedir}/Pyro/wxnsc.py

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%{_bindir}/pyro-es
%{_bindir}/pyro-esd
%{_bindir}/pyro-genguid
%{_bindir}/pyro-ns
%{_bindir}/pyro-nsc
%{_bindir}/pyro-nsd
%{_bindir}/pyro-wxnsc
%{_bindir}/pyro-xnsc
%dir %{py_sitedir}/Pyro
%dir %{py_sitedir}/Pyro/EventService
%dir %{py_sitedir}/Pyro/ext
%{py_sitedir}/Pyro-%{version}-py%{py_ver}.egg-info
%{py_sitedir}/Pyro/EventService/Clients.py*
%{py_sitedir}/Pyro/EventService/Event.py*
%{py_sitedir}/Pyro/EventService/Server.py*
%{py_sitedir}/Pyro/EventService/__init__.py*
%{py_sitedir}/Pyro/__init__.py*
%{py_sitedir}/Pyro/configuration.py*
%{py_sitedir}/Pyro/constants.py*
%{py_sitedir}/Pyro/core.py*
%{py_sitedir}/Pyro/errors.py*
%{py_sitedir}/Pyro/ext/BasicNTService.py*
%{py_sitedir}/Pyro/ext/ES_NtService.py*
%{py_sitedir}/Pyro/ext/NS_NtService.py*
%{py_sitedir}/Pyro/ext/ServiceTest.py*
%{py_sitedir}/Pyro/ext/__init__.py*
%{py_sitedir}/Pyro/ext/daemonizer.py*
%{py_sitedir}/Pyro/ext/remote.py*
%{py_sitedir}/Pyro/ext/remote_nons.py*
%{py_sitedir}/Pyro/naming.py*
%{py_sitedir}/Pyro/nsc.py*
%{py_sitedir}/Pyro/protocol.py*
%{py_sitedir}/Pyro/util.py*
%{py_sitedir}/Pyro/util2.py*
%{py_sitedir}/Pyro/wxnsc.py*
%{py_sitedir}/Pyro/xnsc.py*

%changelog
* Mon Jan 31 2011 cs@linux-administrator.com
- initial package
